E-MailRelay

Public Member Functions | Public Attributes | List of all members
GAuth::CramImp::DigesterAdaptor Struct Reference

Used by GAuth::Cram to use GSsl::Digester. More...

## Public Member Functions
| DigesterAdaptor (const std::string &name)
std::string | operator() (const std::string &data_1, const std::string &data_2) const
std::size_t | blocksize () const

## Public Attributes
std::string | m_name
std::size_t | m_blocksize

## Detailed Description

Used by GAuth::Cram to use GSsl::Digester.

Definition at line 45 of file gcram.cpp.

## Constructor & Destructor Documentation

## ◆ DigesterAdaptor()

GAuth::CramImp::DigesterAdaptor::DigesterAdaptor | ( | const std::string & | name | ) |
| inline explicit

Definition at line 47 of file gcram.cpp.

## Member Function Documentation

## ◆ blocksize()

std::size_t GAuth::CramImp::DigesterAdaptor::blocksize | ( |  | ) | const
| inline

Definition at line 60 of file gcram.cpp.

## ◆ operator()()

std::string GAuth::CramImp::DigesterAdaptor::operator() | ( | const std::string & | data_1,
|  | const std::string & | data_2
| ) |  | const
| inline

Definition at line 53 of file gcram.cpp.

## Member Data Documentation

## ◆ m_blocksize

std::size_t GAuth::CramImp::DigesterAdaptor::m_blocksize

Definition at line 65 of file gcram.cpp.

## ◆ m_name

std::string GAuth::CramImp::DigesterAdaptor::m_name

Definition at line 64 of file gcram.cpp.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gauth/gcram.cpp